public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Guilherme Amadio" <amadio@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/xrootd/
Date: Wed, 13 Mar 2019 13:43:16 +0000 (UTC)	[thread overview]
Message-ID: <1552484574.bbe5e97c27fd7a05b6476b0546a1abc9c353f343.amadio@gentoo> (raw)

commit:     bbe5e97c27fd7a05b6476b0546a1abc9c353f343
Author:     Guilherme Amadio <amadio <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 13 13:32:43 2019 +0000
Commit:     Guilherme Amadio <amadio <AT> gentoo <DOT> org>
CommitDate: Wed Mar 13 13:42:54 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bbe5e97c

net-libs/xrootd: bump to 4.9.0

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Guilherme Amadio <amadio <AT> gentoo.org>

 net-libs/xrootd/Manifest            |   1 +
 net-libs/xrootd/xrootd-4.9.0.ebuild | 115 ++++++++++++++++++++++++++++++++++++
 2 files changed, 116 insertions(+)

diff --git a/net-libs/xrootd/Manifest b/net-libs/xrootd/Manifest
index 5c5e8ae90a0..feb39df2fe3 100644
--- a/net-libs/xrootd/Manifest
+++ b/net-libs/xrootd/Manifest
@@ -1,3 +1,4 @@
 DIST xrootd-4.4.0.tar.gz 2146909 BLAKE2B 4ea84a0c395984cf3ca0f072d3dab080a128e8554f20f7347f9622430b1adc8bda279fa3c8cd587260affe432700332ce7cbb6f512bc29d7d7921b2c6a349bdc SHA512 3e81285b97b928830538f358daf358538609d1678d5beb23b8c0f8fdda7ad22895cc96ba0aaadf55892b7cba08a60182fee19e27af3225b638cb209a4146bbfa
 DIST xrootd-4.5.0.tar.gz 2172752 BLAKE2B 0e1251f9b064e5bf5e0bf9df0575a9605c4437eddecca312bbfad5ce91b9e3e83ff14a00b7ba1b3e3305f1bd00b5dce151241293441852da95f439788671c4f7 SHA512 0ffa982b872ac94eae1e26d1ebbb94db46f607fb4b0f1d4a2261a7d34dc7715b67cb7c7beecea300f82578bf4773d18e9b86c55b32dfd65ab2e48f3cbb03f173
 DIST xrootd-4.8.3.tar.gz 2390520 BLAKE2B 1b97225c41f6a3a751f55a4d357f53fac2e4cc24f2456962a6d6282b78faaeb844db5d69bff34437acd2c015dbff4a2a5047d6295770abd200d3e5bedd89d4fe SHA512 6f605131be18f35115bf7cf5d829dfd5a36e004ac69aa77dd0cb34ab70f2b89ff07e7b3e3259fe672d81b6241596c78a537de02e5abad4537dc92ae745ae8911
+DIST xrootd-4.9.0.tar.gz 2517614 BLAKE2B 5f1ce6f599fdf5b1f9b4fa078d9b306be241757f95e9b5e9bc0a6f06450a21315778428d8c1d1ffd28ef0841bc50fca387036740bb707d9a96b7f07e94e15540 SHA512 a956262a8adae4c9cb9a91275d4207943cf43251fc61ade111c91152c62baf06c1cbdf1d659c6d792703045a4c2a82bac732220ecfd2fa707e445d6fc66ee047

diff --git a/net-libs/xrootd/xrootd-4.9.0.ebuild b/net-libs/xrootd/xrootd-4.9.0.ebuild
new file mode 100644
index 00000000000..d0c6576d614
--- /dev/null
+++ b/net-libs/xrootd/xrootd-4.9.0.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit cmake-utils python-single-r1 user
+
+DESCRIPTION="Extended ROOT remote file server"
+HOMEPAGE="http://xrootd.org/"
+SRC_URI="http://xrootd.org/download/v${PV}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples fuse http kerberos python readline rbd ssl test"
+
+CDEPEND="
+	!<sci-physics/root-5.32[xrootd]
+	sys-libs/zlib
+	fuse? ( sys-fs/fuse:= )
+	kerberos? ( virtual/krb5 )
+	python? ( ${PYTHON_DEPS} )
+	rbd? ( sys-cluster/ceph )
+	readline? ( sys-libs/readline:0= )
+	ssl? ( dev-libs/openssl:0= )
+"
+DEPEND="${CDEPEND}
+	doc? (
+		app-doc/doxygen[dot]
+		python? ( dev-python/sphinx )
+	)
+	test? ( dev-util/cppunit )
+"
+RDEPEND="${CDEPEND}
+	dev-lang/perl
+"
+REQUIRED_USE="
+	http? ( kerberos ssl )
+	python? ( ${PYTHON_REQUIRED_USE} )
+"
+
+PATCHES=( "${FILESDIR}"/xrootd-4.8.3-crc32.patch )
+
+# xrootd plugins are not intended to be linked with,
+# they are to be loaded at runtime by xrootd,
+# see https://github.com/xrootd/xrootd/issues/447
+QA_SONAME="/usr/lib.*/libXrd*-4.so"
+
+pkg_setup() {
+	enewgroup xrootd
+	enewuser xrootd -1 -1 "${EPREFIX}"/var/spool/xrootd xrootd
+	use python && python_setup
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DENABLE_CEPH=$(usex rbd)
+		-DENABLE_CRYPTO=$(usex ssl)
+		-DENABLE_FUSE=$(usex fuse)
+		-DENABLE_HTTP=$(usex http)
+		-DENABLE_KRB5=$(usex kerberos)
+		-DENABLE_PYTHON=$(usex python)
+		-DENABLE_READLINE=$(usex readline)
+		-DENABLE_TESTS=$(usex test)
+	)
+	cmake-utils_src_configure
+}
+
+src_compile() {
+	cmake-utils_src_compile
+	if use doc; then
+		doxygen Doxyfile || die
+		if use python; then
+			emake -C bindings/python/docs html
+		fi
+	fi
+}
+
+src_install() {
+	use doc && HTML_DOCS=( doxydoc/html/. )
+	dodoc docs/ReleaseNotes.txt
+	cmake-utils_src_install
+	find "${D}" \( -iname '*.md5' -o -iname '*.map' \) -delete || die
+
+	# base configs
+	insinto /etc/xrootd
+	doins packaging/common/*.cfg
+
+	fowners root:xrootd /etc/xrootd
+	keepdir /var/log/xrootd
+	fowners xrootd:xrootd /var/log/xrootd
+
+	local i
+	for i in cmsd frm_purged frm_xfrd xrootd; do
+		newinitd "${FILESDIR}"/${i}.initd ${i}
+	done
+	# all daemons MUST use single master config file
+	newconfd "${FILESDIR}"/xrootd.confd xrootd
+
+	if use python; then
+		python_optimize "${D}/$(python_get_sitedir)"
+
+		if use doc; then
+			docinto python
+			docompress -x "/usr/share/doc/${PF}/python/html"
+			dodoc -r bindings/python/docs/build/html
+		fi
+		if use examples; then
+			docinto python
+			dodoc -r bindings/python/examples
+		fi
+	fi
+}


             reply	other threads:[~2019-03-13 13:43 UTC|newest]

Thread overview: 79+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-03-13 13:43 Guilherme Amadio [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-30 14:19 [gentoo-commits] repo/gentoo:master commit in: net-libs/xrootd/ Guilherme Amadio
2024-07-03  9:20 Guilherme Amadio
2024-07-02 11:35 Guilherme Amadio
2024-03-10 16:46 Michał Górny
2024-03-08 21:37 Guilherme Amadio
2024-03-08 21:37 Guilherme Amadio
2024-03-08 21:37 Guilherme Amadio
2024-03-08 21:37 Guilherme Amadio
2024-02-06 10:49 Guilherme Amadio
2024-01-25 15:31 Guilherme Amadio
2023-12-11 15:08 Guilherme Amadio
2023-10-27 17:24 Guilherme Amadio
2023-10-27 16:29 Guilherme Amadio
2023-10-27 13:51 Guilherme Amadio
2023-07-11 14:32 Guilherme Amadio
2023-07-04 14:00 Guilherme Amadio
2023-07-04 13:50 Guilherme Amadio
2023-07-04  7:42 Guilherme Amadio
2023-07-04  7:42 Guilherme Amadio
2023-07-04  7:42 Guilherme Amadio
2023-06-30 17:46 Guilherme Amadio
2023-06-30 16:25 Guilherme Amadio
2023-06-08 11:59 Guilherme Amadio
2023-05-17 14:59 Guilherme Amadio
2023-05-11 11:00 Sam James
2023-04-08 20:56 Marek Szuba
2023-04-08 20:56 Marek Szuba
2023-04-08 20:56 Marek Szuba
2023-03-24 15:39 Guilherme Amadio
2023-02-07 13:56 Guilherme Amadio
2022-10-18 15:01 Andrew Ammerlaan
2022-09-07 12:26 Marek Szuba
2022-09-02 10:52 Marek Szuba
2022-08-23 11:43 Guilherme Amadio
2022-07-30 15:27 Marek Szuba
2022-07-27  8:17 Marek Szuba
2022-07-27  8:11 Sam James
2021-12-16 15:48 Marek Szuba
2021-12-16 15:48 Marek Szuba
2021-12-16 15:48 Marek Szuba
2021-09-17 15:58 Marek Szuba
2021-05-27 13:48 Marek Szuba
2021-03-12 16:14 Marek Szuba
2021-03-04 10:41 Agostino Sarubbo
2021-03-01 17:18 Thomas Deutschmann
2021-02-25 15:34 Marek Szuba
2020-11-12  9:26 Marek Szuba
2020-10-16 10:59 Marek Szuba
2020-10-16 10:59 Marek Szuba
2020-10-09 11:12 Agostino Sarubbo
2020-09-18 17:43 Marek Szuba
2020-09-18 17:43 Marek Szuba
2020-08-24 17:19 Marek Szuba
2020-08-02 12:03 Michał Górny
2020-07-08 12:57 Marek Szuba
2020-06-26 11:08 Marek Szuba
2020-06-25  7:00 Agostino Sarubbo
2020-06-21 17:13 Agostino Sarubbo
2020-06-19 16:12 Marek Szuba
2020-05-14 17:05 Marek Szuba
2020-05-08 21:04 Marek Szuba
2020-05-08 21:04 Marek Szuba
2019-12-27 13:58 Marek Szuba
2019-12-20 14:11 Marek Szuba
2019-10-01 14:32 Guilherme Amadio
2019-08-05 14:55 Guilherme Amadio
2019-03-13 13:43 Guilherme Amadio
2018-12-07  2:41 Thomas Deutschmann
2018-12-05  9:38 Agostino Sarubbo
2018-05-18 15:38 Guilherme Amadio
2017-01-03 21:22 Andrew Savchenko
2017-01-02  9:47 Andrew Savchenko
2016-12-31  8:52 Agostino Sarubbo
2016-12-31  8:52 Agostino Sarubbo
2016-12-30 15:32 Andrew Savchenko
2016-12-25 22:45 Andrew Savchenko
2016-12-25 22:03 Andrew Savchenko
2016-12-25 22:03 Andrew Savchenko

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1552484574.bbe5e97c27fd7a05b6476b0546a1abc9c353f343.amadio@gentoo \
    --to=amadio@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox